import { ProfileRepository } from '@app/domain/profiles/profile.repository';
import { Observable } from 'rxjs';
import { Profile } from '@app/domain/profiles/profile.model';

export class GetProfileUseCase {
  constructor(private readonly repo: ProfileRepository) {}

  execute(profileId: string): Observable<Profile> {
    return this.repo.getById(profileId);
  }

  executeByUserId(userId: string): Observable<Profile> {
    return this.repo.getByUserId(userId);
  }
}
